﻿/**Begin D:\PDM_UPGRADE\PDM1\HAM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREASON') 
 CREATE TABLE T_HAM_DISPREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREASON_L') 
 CREATE TABLE T_HAM_DISPREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPTYPE') 
 CREATE TABLE T_HAM_DISPTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPTYPE_L') 
 CREATE TABLE T_HAM_DISPTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPBACKREASON') 
 CREATE TABLE T_HAM_DISPBACKREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPBACKREASON_L') 
 CREATE TABLE T_HAM_DISPBACKREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCH') 
 CREATE TABLE T_HAM_DISPATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORGOUTID BIGINT DEFAULT 0 NOT NULL,
FADMINORGOUTID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPOUTID BIGINT DEFAULT 0 NOT NULL,
FORGINID BIGINT DEFAULT 0 NOT NULL,
FADMINORGINID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPINID BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FOUTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISOUTINORDER VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISPTYPE BIGINT DEFAULT 0 NOT NULL,
FERMANFILEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYINID BIGINT DEFAULT 0 NOT NULL,
FBASELOCATIONINID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYINID BIGINT DEFAULT 0 NOT NULL,
FDEPTINID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPOSINID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONINID BIGINT DEFAULT 0 NOT NULL,
FREACHDATE DATETIME,
FSTARTDATE DATETIME,
FPERSONFIELD BIGINT DEFAULT 0 NOT NULL,
FDISPATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISPREASONID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPOUT BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYOUTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYOUTID BIGINT DEFAULT 0 NOT NULL,
FDEPTOUTID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONOUTID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPOSOUTID BIGINT DEFAULT 0 NOT NULL,
FLEAVEDATE DATETIME,
FENDDATE DATETIME,
FDURATION INT DEFAULT 0 NOT NULL,
FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FTERMINATERSN NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCH_A') 
 CREATE TABLE T_HAM_DISPATCH_A (
FID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYINID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEINID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPINID BIGINT DEFAULT 0 NOT NULL,
FDEPTLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FORGLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FORGLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FCHARGERGROUP VARCHAR(10) DEFAULT ' ' NOT NULL,
FINRADIOGROUPFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLANCOUNTRYINID BIGINT DEFAULT 0 NOT NULL,
FPLANCOMPANYINID BIGINT DEFAULT 0 NOT NULL,
FPLANDEPTINID BIGINT DEFAULT 0 NOT NULL,
FPLANDEPTLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FPLANPOSITIONINID BIGINT DEFAULT 0 NOT NULL,
FPLANSTANDARDPOSINID BIGINT DEFAULT 0 NOT NULL,
FPLANREACHDATE DATETIME,
FPLANENDDATE DATETIME,
FPLANDURATION INT DEFAULT 0 NOT NULL,
FPLANDISPTYPEID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYPLANID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISPEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUBMITNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEFFECTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTOPNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FRADIOGROUPFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLANCHARGERGROUP VARCHAR(10) DEFAULT ' ' NOT NULL,
FEFFECTTIME DATETIME,
FDEPTLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FPLANDISPREASON BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTDATE DATETIME,
FISMANAGED VARCHAR(1) DEFAULT ' ' NOT NULL,
FTERMINATETIME DATETIME,
FTERMINATEUSER BIGINT DEFAULT 0 NOT NULL,
FPLANCMPEMPIN BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCH_L') 
 CREATE TABLE T_HAM_DISPATCH_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTERMINATERSN NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHAINCHARGE') 
 CREATE TABLE T_HAM_DISPATCHAINCHARGE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHASUPERIOR') 
 CREATE TABLE T_HAM_DISPATCHASUPERIOR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHININCHARGE') 
 CREATE TABLE T_HAM_DISPATCHININCHARGE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHINSUPERIOR') 
 CREATE TABLE T_HAM_DISPATCHINSUPERIOR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHPLANINCHA') 
 CREATE TABLE T_HAM_DISPATCHPLANINCHA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHPLANSUP') 
 CREATE TABLE T_HAM_DISPATCHPLANSUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPRECORD') 
 CREATE TABLE T_HAM_DISPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FDISPATCHID BIGINT DEFAULT 0 NOT NULL,
FDISPBACKID BIGINT DEFAULT 0 NOT NULL,
FERMANFILEID BIGINT DEFAULT 0 NOT NULL,
FBFDISPRECORDID BIGINT DEFAULT 0 NOT NULL,
FDISPCHANGENOWID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISPSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FDISPTYPEID BIGINT DEFAULT 0 NOT NULL,
FDISPREASONOUTID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYINID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPINID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYINID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYINID BIGINT DEFAULT 0 NOT NULL,
FDEPTINID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPOSINID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONINID BIGINT DEFAULT 0 NOT NULL,
FBASELOCATIONINID BIGINT DEFAULT 0 NOT NULL,
FREACHDATE DATETIME,
FSTARTDATE DATETIME,
FPLANENDDATE DATETIME,
FPLANDURATION INT DEFAULT 0 NOT NULL,
FDISPREASONEND VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FORGOUTID BIGINT DEFAULT 0 NOT NULL,
FADMINORGOUT BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPOUTID BIGINT DEFAULT 0 NOT NULL,
FDEPTOUTID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISCURRENTVERSION VARCHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FISMODIFY VARCHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGINID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPINID BIGINT DEFAULT 0 NOT NULL,
FORGINID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPRECORD_A') 
 CREATE TABLE T_HAM_DISPRECORD_A (
FID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEINID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYBACKID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYBACKID BIGINT DEFAULT 0 NOT NULL,
FDEPTBACKID BIGINT DEFAULT 0 NOT NULL,
FPOSTSTANDARDBACKID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONBACKID BIGINT DEFAULT 0 NOT NULL,
FBASELOCATIONBACKID BIGINT DEFAULT 0 NOT NULL,
FBACKDATE DATETIME,
FDISPBACKREASON BIGINT DEFAULT 0 NOT NULL,
FDURATION INT DEFAULT 0 NOT NULL,
FORGBACKID BIGINT DEFAULT 0 NOT NULL,
FADMINORGBACKID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPBACKID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYOUTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYOUTID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDPOSOUTID BIGINT DEFAULT 0 NOT NULL,
FLEAVEDATE DATETIME,
FPOSITIONOUTID BIGINT DEFAULT 0 NOT NULL,
FDEPTLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FDEPTLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FDEPTLONGNUMBACKVID BIGINT DEFAULT 0 NOT NULL,
FORGLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGLONGNUMOUTVID BIGINT DEFAULT 0 NOT NULL,
FORGLONGNUMBACKVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGLONGNUMBACKVID BIGINT DEFAULT 0 NOT NULL,
FORGLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
FADMINORGLONGNUMINVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPRECORD_L') 
 CREATE TABLE T_HAM_DISPRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREINSUP') 
 CREATE TABLE T_HAM_DISPREINSUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREININCHARGE') 
 CREATE TABLE T_HAM_DISPREININCHARGE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREOUTINCHARGE') 
 CREATE TABLE T_HAM_DISPREOUTINCHARGE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPREOUTSUP') 
 CREATE TABLE T_HAM_DISPREOUTSUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HAM_table.sql **/
