﻿/**Begin D:\PDM_UPGRADE\PDM1\HAM_table.sql **/
EXEC p_AlterColumn 'T_HAM_DISPRECORD', 'FDISPREASONEND', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HAM_DISPRECORD' AND KSQL_COL_NAME ='FDEPEMPID')
ALTER TABLE T_HAM_DISPRECORD ADD (FDEPEMPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HAM_DISPRECORD_A' AND KSQL_COL_NAME ='FTERMSOURCE')
ALTER TABLE T_HAM_DISPRECORD_A ADD (FTERMSOURCE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HAM_DISPRECORD_A' AND KSQL_COL_NAME ='FTERMTASKSTATUS')
ALTER TABLE T_HAM_DISPRECORD_A ADD (FTERMTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HAM_DISPRECORD_L' AND KSQL_COL_NAME ='FDISPREASONEND')
ALTER TABLE T_HAM_DISPRECORD_L ADD (FDISPREASONEND NVARCHAR(255) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISBACKINCHARGE')
CREATE TABLE T_HAM_DISBACKINCHARGE (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISBACKINCHARGEIN')
CREATE TABLE T_HAM_DISBACKINCHARGEIN (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISBACKSUPERIOR')
CREATE TABLE T_HAM_DISBACKSUPERIOR (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISBACKSUPERIORIN')
CREATE TABLE T_HAM_DISBACKSUPERIORIN (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPBACK')
CREATE TABLE T_HAM_DISPBACK (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFYTIME DATETIME,
                                FCREATETIME DATETIME,
                                FORGID BIGINT DEFAULT 0 NOT NULL,
                                FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
                                FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
                                FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
                                FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
                                FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                FDISPTYPEID BIGINT DEFAULT 0 NOT NULL,
                                FBACKSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FCOUNTRYBACKID BIGINT DEFAULT 0 NOT NULL,
                                FBASELOCATIONBACKID BIGINT DEFAULT 0 NOT NULL,
                                FCOMPANYBACKID BIGINT DEFAULT 0 NOT NULL,
                                FDEPTBACKID BIGINT DEFAULT 0 NOT NULL,
                                FPOSITIONBACKID BIGINT DEFAULT 0 NOT NULL,
                                FPOSTSTANDARDBACKID BIGINT DEFAULT 0 NOT NULL,
                                FBACKDATE DATETIME,
                                FENDDATE DATETIME,
                                FDURATION INT DEFAULT 0 NOT NULL,
                                FREACHDATE DATETIME,
                                FSTARTDATE DATETIME,
                                FDISPBACKREASONID BIGINT DEFAULT 0 NOT NULL,
                                FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                FDEPTLONGNUMBACKVID BIGINT DEFAULT 0 NOT NULL,
                                FSUBMITNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FSTOPNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FEFFECTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FEFFECTTIME DATETIME,
                                FGENBYTERMRECORD VARCHAR(10) DEFAULT ' ' NOT NULL,
                                FCMPEMPBACKID BIGINT DEFAULT 0 NOT NULL,
                                FTERMINATERSN NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                FTERMINATEUSER BIGINT DEFAULT 0 NOT NULL,
                                FTERMINATETIME DATETIME,
                                FORGLONGNUMINVID BIGINT DEFAULT 0 NOT NULL,
                                FADMINORGLONGNUMBACKVID BIGINT DEFAULT 0 NOT NULL,
                                FDISPATCHRECORDID BIGINT DEFAULT 0 NOT NULL,
                                FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                FERMANFILEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPBACK_A')
CREATE TABLE T_HAM_DISPBACK_A (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                  FAUDITDATE DATETIME,
                                  FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                  FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                  FEVENTEFFECTDATE DATETIME,
                                  FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
                                  FORGINID BIGINT DEFAULT 0 NOT NULL,
                                  FADMINORGINID BIGINT DEFAULT 0 NOT NULL,
                                  FEMPGROUPINID BIGINT DEFAULT 0 NOT NULL,
                                  FORGBACKID BIGINT DEFAULT 0 NOT NULL,
                                  FADMINORGBACKID BIGINT DEFAULT 0 NOT NULL,
                                  FEMPGROUPBACKID BIGINT DEFAULT 0 NOT NULL,
                                  FDISPEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
                                  FBILLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FAFFAIRACTIONID BIGINT DEFAULT 0 NOT NULL,
                                  FACTIVITYPLANID BIGINT DEFAULT 0 NOT NULL,
                                  FCOUNTRYINID BIGINT DEFAULT 0 NOT NULL,
                                  FBASELOCATIONINID BIGINT DEFAULT 0 NOT NULL,
                                  FCOMPANYINID BIGINT DEFAULT 0 NOT NULL,
                                  FDEPTINID BIGINT DEFAULT 0 NOT NULL,
                                  FPOSITIONINID BIGINT DEFAULT 0 NOT NULL,
                                  FPOSTSTANDARDINID BIGINT DEFAULT 0 NOT NULL,
                                  FCMPEMPINID BIGINT DEFAULT 0 NOT NULL,
                                  FDEPTLONGNUMINVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPBACK_L')
CREATE TABLE T_HAM_DISPBACK_L (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                  FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                  FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                  FTERMINATERSN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHRECORDCHG')
CREATE TABLE T_HAM_DISPATCHRECORDCHG (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                         FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                         FAUDITDATE DATETIME,
                                         FMODIFYTIME DATETIME,
                                         FCREATETIME DATETIME,
                                         FORGID BIGINT DEFAULT 0 NOT NULL,
                                         FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                         FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FISEXISTSWORKFLOW VARCHAR(1) DEFAULT ' ' NOT NULL,
                                         FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FEVENTEFFECTDATE DATETIME,
                                         FISSUBMIT VARCHAR(1) DEFAULT ' ' NOT NULL,
                                         FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
                                         FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
                                         FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
                                         FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                         FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                         FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                         FERMANFILEID BIGINT DEFAULT 0 NOT NULL,
                                         FDISPATCHRECORDID BIGINT DEFAULT 0 NOT NULL,
                                         FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                         FCHANGESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPLANDISPTYPEID BIGINT DEFAULT 0 NOT NULL,
                                         FPLANSTARTDATE DATETIME,
                                         FPLANENDDATE DATETIME,
                                         FPLANDURATION INT DEFAULT 0 NOT NULL,
                                         FBDISPTYPEID BIGINT DEFAULT 0 NOT NULL,
                                         FSTARTDATE DATETIME,
                                         FENDDATE DATETIME,
                                         FDURATION INT DEFAULT 0 NOT NULL,
                                         FTERMINATERSN NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FTERMINATEUSER BIGINT DEFAULT 0 NOT NULL,
                                         FTERMINATETIME DATETIME,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FEFFECTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FEFFECTTIME DATETIME,
                                         FORGINID BIGINT DEFAULT 0 NOT NULL,
                                         FCMPEMPINID BIGINT DEFAULT 0 NOT NULL,
                                         FADMINORGINID BIGINT DEFAULT 0 NOT NULL,
                                         FEMPGROUPINID BIGINT DEFAULT 0 NOT NULL,
                                         FORGBACKID BIGINT DEFAULT 0 NOT NULL,
                                         FADMINORGBACKID BIGINT DEFAULT 0 NOT NULL,
                                         FEMPGROUPBACKID BIGINT DEFAULT 0 NOT NULL,
                                         FCMPEMPBACKID BIGINT DEFAULT 0 NOT NULL,
                                         FSUBMITNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FSTOPNOTICSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HAM_DISPATCHRECORDCHG_L')
CREATE TABLE T_HAM_DISPATCHRECORDCHG_L (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                           FTERMINATERSN NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                           FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HAM_table.sql **/
