﻿/**Begin D:\PDM_UPGRADE\PDM1\HAM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HAM_DISPREASON', 'T_HAM_DISPREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREASON_NUMBER') CREATE INDEX IDX_HAM_DISPREASON_NUMBER ON T_HAM_DISPREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HAM_DISPREASON_L', 'T_HAM_DISPREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREASON_L') CREATE INDEX IDX_HAM_DISPREASON_L ON T_HAM_DISPREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HAM_DISPTYPE', 'T_HAM_DISPTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPTYPE_NUMBER') CREATE INDEX IDX_HAM_DISPTYPE_NUMBER ON T_HAM_DISPTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HAM_DISPTYPE_L', 'T_HAM_DISPTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPTYPE_L') CREATE INDEX IDX_HAM_DISPTYPE_L ON T_HAM_DISPTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACKREASON', 'T_HAM_DISPBACKREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPBACKREASON_NUMBER') CREATE INDEX IDX_HAM_DISPBACKREASON_NUMBER ON T_HAM_DISPBACKREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HAM_DISPBACKREASON_L', 'T_HAM_DISPBACKREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPBACKREASON_L') CREATE INDEX IDX_HAM_DISPBACKREASON_L ON T_HAM_DISPBACKREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH', 'T_HAM_DISPATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_FORGID') CREATE INDEX IDX_HAM_DISPATCH_FORGID ON T_HAM_DISPATCH ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_FADMOID') CREATE INDEX IDX_HAM_DISPATCH_FADMOID ON T_HAM_DISPATCH ( FADMINORGOUTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_FEMPOID') CREATE INDEX IDX_HAM_DISPATCH_FEMPOID ON T_HAM_DISPATCH ( FEMPGROUPOUTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_FERMANFILEID') CREATE INDEX IDX_HAM_DISPATCH_FERMANFILEID ON T_HAM_DISPATCH ( FERMANFILEID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_A', 'T_HAM_DISPATCH_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_FAUDITORID') CREATE INDEX IDX_HAM_DISPATCH_FAUDITORID ON T_HAM_DISPATCH_A ( FAUDITORID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_L', 'T_HAM_DISPATCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCH_L') CREATE INDEX IDX_HAM_DISPATCH_L ON T_HAM_DISPATCH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHAINCHARGE', 'T_HAM_DISPATCHAINCHARGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHAINCHARGE') CREATE INDEX IDX_HAM_DISPATCHAINCHARGE ON T_HAM_DISPATCHAINCHARGE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHASUPERIOR', 'T_HAM_DISPATCHASUPERIOR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHASUPERIOR') CREATE INDEX IDX_HAM_DISPATCHASUPERIOR ON T_HAM_DISPATCHASUPERIOR ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHININCHARGE', 'T_HAM_DISPATCHININCHARGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHININCHARGE') CREATE INDEX IDX_HAM_DISPATCHININCHARGE ON T_HAM_DISPATCHININCHARGE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHINSUPERIOR', 'T_HAM_DISPATCHINSUPERIOR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHINSUPERIOR') CREATE INDEX IDX_HAM_DISPATCHINSUPERIOR ON T_HAM_DISPATCHINSUPERIOR ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHPLANINCHA', 'T_HAM_DISPATCHPLANINCHA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHPLANINCHA') CREATE INDEX IDX_HAM_DISPATCHPLANINCHA ON T_HAM_DISPATCHPLANINCHA ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCHPLANSUP', 'T_HAM_DISPATCHPLANSUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPATCHPLANSUP') CREATE INDEX IDX_HAM_DISPATCHPLANSUP ON T_HAM_DISPATCHPLANSUP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPRECORD', 'T_HAM_DISPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPRECORD_ERMANFILEID') CREATE INDEX IDX_HAM_DISPRECORD_ERMANFILEID ON T_HAM_DISPRECORD ( FERMANFILEID );


 EXEC P_ALTERPK 'PK_HAM_DISPRECORD_A', 'T_HAM_DISPRECORD_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPRECORD_FCOMID') CREATE INDEX IDX_HAM_DISPRECORD_FCOMID ON T_HAM_DISPRECORD_A ( FCOMPANYOUTID );


 EXEC P_ALTERPK 'PK_HAM_DISPRECORD_L', 'T_HAM_DISPRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPRECORD_L') CREATE INDEX IDX_HAM_DISPRECORD_L ON T_HAM_DISPRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HAM_DISPREINSUP', 'T_HAM_DISPREINSUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREINSUP') CREATE INDEX IDX_HAM_DISPREINSUP ON T_HAM_DISPREINSUP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPREININCHARGE', 'T_HAM_DISPREININCHARGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREININCHARGE') CREATE INDEX IDX_HAM_DISPREININCHARGE ON T_HAM_DISPREININCHARGE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPREOUTINCHARGE', 'T_HAM_DISPREOUTINCHARGE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREOUTINCHARGE') CREATE INDEX IDX_HAM_DISPREOUTINCHARGE ON T_HAM_DISPREOUTINCHARGE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HAM_DISPREOUTSUP', 'T_HAM_DISPREOUTSUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_DISPREOUTSUP') CREATE INDEX IDX_HAM_DISPREOUTSUP ON T_HAM_DISPREOUTSUP ( FID ,FBASEDATAID );



/**End D:\PDM_UPGRADE\PDM1\HAM_constraint.sql **/
